View Issue Details

IDProjectCategoryView StatusLast Update
0003819FEM[FreeCAD] Bugpublic2019-02-26 10:31
Reporteruwestoehr Assigned Towmayer  
PrioritynormalSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.18 
Target Version[FreeCAD] 0.18Fixed in Version[FreeCAD] 0.18 
Summary0003819: no proper input for contact stiffness
Description- create a contact constraint
- try to enter e.g. a contact stiffness of 500 MPa, so for example try to type in "500e6"

result: you cannot enter numbers in the form "xxey" or "xxe+y" or "xxGPa"

It would be nice if one sees for the constraint values the unit to avoid mistakes and it would be nice if inputs using exponents would be allowed.

In the constraint Pressure acting on a face this is already implemented nicely. So it would be nice if this is also taken for the contact constraint.
Additional InformationForum thread: https://forum.freecadweb.org/viewtopic.php?f=18&t=34018
TagsFEM

Issue History

Date Modified Username Field Change
2019-02-07 02:35 uwestoehr New Issue
2019-02-07 02:35 uwestoehr Tag Attached: FEM
2019-02-22 10:53 wmayer Assigned To => wmayer
2019-02-22 10:53 wmayer Status new => closed
2019-02-22 10:53 wmayer Resolution open => fixed
2019-02-22 10:53 wmayer Fixed in Version => 0.18
2019-02-22 10:53 wmayer Note Added: 0012724
2019-02-26 10:31 Kunda1 Target Version => 0.18